package cz.cvut.kbss.wpa.lab3.calculator;

import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

public class CalculatorTest {

    private Calculator calc;

    @Before
    public void setUp() {
        this.calc = new Calculator();
    }

    @Test
    public void returnsZeroWhenNoInput() {
        assertEquals(0, calc.calculate(null));
    }

    @Test
    public void testSimpleAddition() {
        assertEquals(2, calc.calculate("1 + 1"));
    }

    @Test
    public void testChainedAddition() {
        assertEquals(5, calc.calculate("1 + 1 + 2 + 1"));
    }

    // Ocekavame vyjimku pro nepodporovany operator
    @Test(expected = IllegalArgumentException.class)
    public void throwsExceptionOnUnsupportedOperator() {
        calc.calculate("10 * 5");
    }

    // Zkuste pridat testy pro jednoduche odcitani, zretezene odcitani a mix scitani a odcitani
}
